Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class WebServiceProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty
          com.plumtree.remote.prc.WebServiceProperty

public class WebServiceProperty
extends ObjectProperty

An enumerated type used to describe the properties of Web Services in the portal. Web Services support all of the properties in `ObjectProperty` as well as the following properties.

Field Summary
`static WebServiceProperty` | `CardSubmitType` The type of the card submission.
`static WebServiceProperty` | `DisabledMessage` The message this Web Service displays when disabled.
`static WebServiceProperty` | `Enabled` Whether or not this Web Service is enabled in the portal.
`static WebServiceProperty` | `Personalization` Whether or not this service is personalized.
`static WebServiceProperty` | `ProviderClassID` The ID of the provider class for this service.
`static WebServiceProperty` | `RemoteServerID` The object ID of the Remote Server associated with this Web Service.
`static WebServiceProperty` | `UserInterfaces` A list of User Interfaces supported by this Web Service.

Fields inherited from class com.plumtree.remote.prc.ObjectProperty
`ClassID, Created, Description, FolderID, IsLocalized, Language, LastModified, LastModifiedBy, Name, ObjectID, OwnerID, UUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Enabled

    public static final WebServiceProperty Enabled

  Whether or not this Web Service is enabled in the portal.

### DisabledMessage

    public static final WebServiceProperty DisabledMessage

  The message this Web Service displays when disabled.

### RemoteServerID

    public static final WebServiceProperty RemoteServerID

  The object ID of the Remote Server associated with this Web Service.

### UserInterfaces

    public static final WebServiceProperty UserInterfaces

  A list of User Interfaces supported by this Web Service.

### ProviderClassID

    public static final WebServiceProperty ProviderClassID

  The ID of the provider class for this service.

### Personalization

    public static final WebServiceProperty Personalization

  Whether or not this service is personalized.

### CardSubmitType

    public static final WebServiceProperty CardSubmitType

  The type of the card submission.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.